export const toTime = (secs: number) => {
    const hours = Math.floor(secs / (60 * 60));

    const divisor_for_minutes = secs % (60 * 60);
    const minutes = Math.floor(divisor_for_minutes / 60);

    const divisor_for_seconds = divisor_for_minutes % 60;
    const seconds = Math.ceil(divisor_for_seconds);

    const obj = {
        h: hours,
        m: minutes,
        s: seconds
    };
    return obj;
};

export const toUptimestring = (secs: number): string => {
    const time = toTime(secs);

    return `${time.h}h ${time.m}m ${time.s}s`;
};
